Bug 1126447 - [RFE][nova] Optionally allow nova-scheduler to be deployed as Active/Active or Active/Passive
Summary: [RFE][nova] Optionally allow nova-scheduler to be deployed as Active/Active o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: z1
: Installer
Assignee: Jason Guiditta
QA Contact: Asaf Hirshberg
URL:
Whiteboard:
Depends On: 1104219
Blocks: 1083890 1104884 1111701
TreeView+ depends on / blocked
 
Reported: 2014-08-04 13:01 UTC by Scott Lewis
Modified: 2019-09-09 14:41 UTC (History)
14 users (show)

Fixed In Version: openstack-foreman-installer-2.0.23-1.el6ost
Doc Type: Enhancement
Doc Text:
This enhancement adds support to allow nova-scheduler to be deployed as Active/Passive deployments as Active/Active deployments are not desired for all HA scenarios. To use the Active/Passive deployment, set scheduler_host_subset_size parameter to 1 in the advanced configuration tab.
Clone Of: 1104219
Environment:
Last Closed: 2014-10-01 13:25:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1350 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Bug Fix Advisory 2014-10-01 17:22:34 UTC

Comment 2 Leonid Natapov 2014-08-19 13:10:48 UTC
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
rhel-osp-installer-0.1.10-2.el6ost.noarch
openstack-puppet-modules-2014.1-20.1.el6ost.noarch
openstack-foreman-installer-2.0.21-1.el6ost.noarch

I've changed the scheduler_host_subset_size value from 30 to 1 in the advanced configuration tab to use A/P.

HA Deployment fails with: 

/Stage[main]/Quickstack::Pacemaker::Nova/Quickstack::Pacemaker::Constraint::Base[nova-api-scheduler-constr]/Pacemaker::Constraint::Base[nova-api-scheduler-constr]/Exec[Creating order constraint nova-api-scheduler-constr]/returns

change from notrun to 0 failed: /usr/sbin/pcs constraint order start openstack-nova-api-clone then start openstack-nova-scheduler-clone returned 1 instead of one of [0]

Comment 4 Jason Guiditta 2014-09-08 21:00:17 UTC
Patch:
https://github.com/redhat-openstack/astapor/pull/356

Comment 6 Asaf Hirshberg 2014-09-30 12:35:00 UTC
default is currently set to 30.

[root@macf04da2732fb1 ~]# grep -ir host_subset /etc/nova/nova.conf
#scheduler_host_subset_size=1
scheduler_host_subset_size=30

[root@puma42 ~]# rpm -qa |grep rhel
rhel-osp-installer-0.3.6-1.el6ost.noarch

Comment 7 Jason Guiditta 2014-09-30 13:45:19 UTC
That is what the default should be.  When set this way, scheduler is A/A.  When you change it to 1, the schedulers should be A/P

Comment 10 errata-xmlrpc 2014-10-01 13:25:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1350.html


Note You need to log in before you can comment on or make changes to this bug.